Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.forms.client
Class DefaultFormLoaderCallbackHandler

    java.lang.Object
      com.tibco.forms.client.DefaultFormLoaderCallbackHandler

All Implemented Interfaces:
  FormLoaderCallbackHandler

    public class DefaultFormLoaderCallbackHandler

extends java.lang.Object
implements FormLoaderCallbackHandler

An implementation of FormLoaderCallbackHandler.

Since:
  2.2.2

Constructor Summary
`DefaultFormLoaderCallbackHandler()`

Method Summary
`protected FormActionCallbackHandler` | `getCancelHandler()` Returns the cancel handler.
`protected FormActionCallbackHandler` | `getCloseHandler()` Returns the close handler.
`protected FormActionCallbackHandler` | `getSubmitHandler()` Returns the submit handler.
`void` | `onError(java.lang.Throwable exception)` This method is called when there encounters an error that prevents loading of the form.
`void` | `onLoad(Form form)` This method is called when the form loading is complete.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFormLoaderCallbackHandler

    public DefaultFormLoaderCallbackHandler()

Method Detail

### getCancelHandler

    protected FormActionCallbackHandler getCancelHandler()

  Returns the cancel handler.

  Returns:
    The cancel handler.

### getCloseHandler

    protected FormActionCallbackHandler getCloseHandler()

  Returns the close handler.

  Returns:
    The close handler.

### getSubmitHandler

    protected FormActionCallbackHandler getSubmitHandler()

  Returns the submit handler.

  Returns:
    The submit handler.

### onError

    public void onError(java.lang.Throwable exception)

  This method is called when there encounters an error that prevents loading of the form.

  Specified by:
    `onError` in interface `FormLoaderCallbackHandler`
  Parameters:
    `exception` - The error encountered by the `FormRunner`.

### onLoad

    public void onLoad(Form form)

  This method is called when the form loading is complete. The client applications can invoke additional operations on the form like registering a submit handler.

  Specified by:
    `onLoad` in interface `FormLoaderCallbackHandler`
  Parameters:
    `form` - The form runtime instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.